var list = [10, 30, 5, 60, 40, 78, 56, 30, 24, 80];
var svgWidth = 320;	// SVG領域の横幅
var svgHeight = 240;	// SVG領域の縦幅
var barHeight = 200;	// 棒グラフの基準位置
var barScale = 2;	// 2倍サイズで描画
var xBarSize = 18;	// 棒グラフの横幅
var xOffset = 4;
var yOffset = 4;
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight);
svg.selectAll("rect")	// SVGでの四角形を示す要素を指定
	.data(list)	// データを設定
	.enter()
	.append("rect")	// SVGでの四角形を示す要素を生成
	.attr("x", function(d,i){	// X座標を配列の順序に応じて計算
		return i * xBarSize+xOffset;
	})
	.attr("y", function(d){	// 縦幅を配列の内容に応じて計算
		return barHeight-(d*barScale) + yOffset + "px";
	})
	.attr("height", function(d){	// 縦幅を配列の内容に応じて計算
		return (d*barScale) +"px";
	})
	.attr("width", 16)	// 棒グラフの横幅を指定
	.attr("style", "fill:rgb(255,0,0)")	// 棒グラフの色を赤色に設定
// マウスがバーに重なったら色を青色に変える
	.on("mouseover", function(){
		d3.select(this)	// マウスに重なった要素を選択
			.attr("style", "fill:rgb(0,0,255)");
	})
// マウスがバーから離れたら色を赤色に戻す
	.on("mouseout", function(){
		d3.select(this)	// マウスに重なっていた要素を選択
			.attr("style", "fill:rgb(255,0,0)");
	})
